
Infrastructure - Task #7606

Story # 7605 (New): MemberNodes not authorizing CN to harvest log records

NRDC does not trust the CN certificate for log harvesting

2016-01-26 16:00 - Robert Waltz

Status: In Progress Start date: 2016-01-26

Priority: Normal Due date:  

Assignee: Laura Moyers % Done: 30%

Category: Environment.Production Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

urn:node:NRDC throws a NotAuthorized exception when the CN attempts to harvest log records:

org.dataone.service.exceptions.NotAuthorized: Access allowed only for DataONE infrastructure. Active subjects: authenticatedUser

(equivalent), public (equivalent), CN=urn:node:CNUCSB1,DC=dataone,DC=org (primary). Trusted subjects:

CN=urn:node:NRDC,DC=dataone,DC=org

From the message it appears that NRDC may only trust itself to harvest log records.

History

#1 - 2016-01-27 16:12 - Laura Moyers

- Status changed from New to In Progress

- % Done changed from 0 to 30

NRDC operates as a reverse proxy; perhaps their setup has something to do with this behavior.  Investigating.

#2 - 2016-02-04 16:23 - Laura Moyers

Laura, Robert, and Mark met with Eric Fritzinger from NRDC on 2/3/16.  Eric is planning to rework the NRDC setup from reverse proxy to "normal"

public-facing operations.  He'll have to coordinate with the UNR IT folks as they try to keep all the UNR stuff tightly controlled.  

#3 - 2016-04-06 16:14 - Robert Waltz

- Description updated
